body {
    background-color: black;
    color: white;
    margin: 0;
    padding: 0;
    font-size: 14px;
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    overflow: hidden;
}

a {
    cursor: pointer;
}

#Timeinfo, #RecordTime {
    background-color: black;
    color: white;
    padding: 2px;
    font-size: 28px;
    min-width: 200px;
    border: 1px solid #e1e3e0;
    border-radius: 5px;
    padding-left: 10px;
    padding-right: 10px;
    float: left;
}

.controlsArea {
    background-color: #8F9092;
    height: 48px;
    padding-top: 1px;
    display: flex;
    overflow-x: hidden;
    overflow-y: hidden;
}

.Timeinfo {
    width: 130px;
    flex: 1;
}

.VUmeter {
    height: 10px;
    background-color: #e30613;
    border: 1px solid #8F9092;
    border-radius: 2px;
    border-right: 2px solid yellow;
    width: 0px;
}

#CurrentTime {
    float: left;
}

#Duration, #MouseTime, #Amplitude, #Level {
    color: #e30613;
    font-size: 14px;
}

#timeline{
    background-color: #8F9092;
    border: 1px solid black;
    visibility: visible;
}

#wave-minimap {
    background-color: black;
    border: 1px solid #e1e3e0;
}

main {
    background-color: black;
    width: 100%;
    flex: 1;
    display: flex;
    flex-direction: row;
}

.muteButton {
    align-items: center;
    border: 1px solid #e1e3e0;
    background-color: #8F9092;
    flex: 1;
    display: flex;
    align-items: stretch;
}

#MidLine {
    height: 2px; 
    width: 100%;
    left: 0;
    background-color: #8F9092; 
    position: absolute; 
    z-index: 100;
    top: 50%;
    display: none;
}

muteBar {
    border: 1px solid #e1e3e0;
    width: 95px;
    display: flex;
    flex-direction: column;
    background-color: black;
}

.mutBarFiller{
    height: 20px;
    background-color: #8F9092;
 }

 timelinewaveform {
    width: 100%;
    flex: 1;
    display: flex;
    flex-direction: column;
    position: relative;
}

#waveform {
    background:
        repeating-linear-gradient(
            #000 0 calc((100% - 40px)/20),
            #111  0 calc((100% - 40px)/20 + 2px)
         );
     flex: 2;
}

.controls {
    margin-left: 10px;
    padding: 2px;
    margin-top: 3px;
    height: 39px;
    display: flex;
    background-color: black;
    text-align: left;
    border: 1px solid #e1e3e0;
    border-radius: 5px;
}

.VUmeterContainer{
    background-color: black;
}

.VULevelBar {
    display: flex;
    width:100%;
}

.VULevel {
    font-size: 10px;
    text-align: right;
    width: 4.76%;
}

.VULevel:first-child {
    text-align: center;
}
#annotation {
    visibility: hidden;
    position: absolute;
    bottom: 100px;
    right: 0px;
}

.btn {
    border-style: outset;
}

#annotationText {
    color: black;
    z-index: 100;
}

#wave-spectrogram {
    position: absolute;
    top: 0px;
    z-index: 1;
    height: 50%;
    width: 100%;
}

.progress {
    position: absolute;
    z-index: 105;
    top: 50%;
    left: 25%;
    width: 50%;
    display: none;
    cursor: progress;
}

.pluginwindow {
    position: absolute;
    z-index: 200;
    top: 25%;
    left: 25%;
    width: 50%;
    min-width: 590px;
    min-height: 200px;
    visibility: hidden;
    display: flex;
    flex-direction: column;
    box-shadow: 10px 10px 10px rgb(100 100 100 / 0.25);
}

.subwindow, .pluginwindow {
    background-color: black;
    border: 2px solid #e1e3e0;
    border-radius: 5px;
    
}

.subwindowheader {
    background-color: #8F9092;
    color: white;
    padding: 2px;
    font-weight: bold;
    padding-left: 8px;
    border-radius: 2px;
}

.subwindowcontent {
    overflow-x: hidden;
    overflow-y: auto;
    flex-grow: 1;
}

.subwindowcontrols {
    height: 40px;
    bottom: 0px;
}

.subwindowcontrols_btn {
    width: 100px;
}

.folderItem {
    display: block;
    padding-left: 8px;
    margin: 2px;
}

.hideWavesurfer {
    z-index: 101;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0px;
    left:0px;
    background-color: rgba(50, 50, 50, 0.8);
    visibility: visible;
    cursor: wait;
}

.btn-primary {
    background-color: #8F9092;
    border-color: #e1e3e0;
    margin: 1px;
}

.btn-primary:hover {
    background-color: #e1e3e0;
    border-color: #8F9092;
}

a {
    color: white;
}

a:hover {
    color: #8F9092;
}

.statusbar {
    display: flex;
    justify-content: flex-end;
    height: 24px;
}
.statusbarItem {
    border: 1px groove white;
    padding-left: 10px;
    padding-right: 10px; 
    margin-right: 10px;
}
.yticks {
    flex: 1;
    display: flex;
    flex-direction: row;
}

.amplitudes {
    flex: 1;
    background-color: black;
    border-right: 1px solid #8F9092;
    text-align: right;
    display: flex;
    flex-direction: column;
    padding-right: 5px;
}

.amplitude {
    flex: 1; display: table;
}

.frequencies {
    display: flex;
}

.dygraph-label {
    color: black;
}

.dygraph-label.dygraph-xlabel {
    color: black;
    position: relative;
    bottom: 5px;
}
